LINUX.ORG.RU
решено ФорумAdmin

Gentoo установка nodejs

 ,


0

1

При сутановки node.js пишет ошибку

>>> Emerging (1 of 1) net-libs/nodejs-0.10.17
 * node-v0.10.17.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                                                                                [ ok ]
 * No Python implementation found for the build. This is usually
 * a bug in the ebuild. Please report it to bugs.gentoo.org
 * along with the build log.

 * ERROR: net-libs/nodejs-0.10.17 failed (setup phase):
 *   No supported Python implementation installed.
 * 
 * Call stack:
 *              ebuild.sh, line  93:  Called pkg_setup
 *              ebuild.sh, line 324:  Called python-any-r1_pkg_setup
 *   python-any-r1.eclass, line 317:  Called die
 * The specific snippet of code:
 *   	die "No supported Python implementation installed."
 * 
 * If you need support, post the output of `emerge --info '=net-libs/nodejs-0.10.17'`,
 * the complete build log and the output of `emerge -pqv '=net-libs/nodejs-0.10.17'`.
 * The complete build log is located at '/var/tmp/portage/net-libs/nodejs-0.10.17/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/nodejs-0.10.17/temp/die.env'.
 * Working directory: '/usr/lib64/portage/pym'
 * S: '/var/tmp/portage/net-libs/nodejs-0.10.17/work/node-v0.10.17'

как исправить?

emerge --info -> http://pastebin.ru/ughwQjFX
emerge -pqv -> http://pastebin.ru/QLwt4d2x
build.log -> http://pastebin.ru/BWgB4hSd
die.env -> http://pastebin.ru/wu8DEUAt

★★★★★

Ответ на: комментарий от FRCTLL

Может, это тебе не везло? :)

Может, для конкретного софта надо использовать те версии, которые он просит, а не менять переменные глобально? Не, тебе не кажется так?

tazhate ★★★★★ ()

Вангую, что обновление python2.7 вам поможет.

l0stparadise ★★★★★ ()

* No Python implementation found for the build. This is usually
* a bug in the ebuild. Please report it to bugs.gentoo.org
* along with the build log.

Видимо сделать что просят — открыть тикет в багзилле.

imul ★★★★★ ()
Ответ на: комментарий от FRCTLL

Там ебилд состоит из питона чуть более чем целиком. Судя по die.env, нужен >=2.7.5, у автора 2.7.3.

l0stparadise ★★★★★ ()

У меня вот такой выхлоп. Правда это фанта, но от того, что у ТС отличается.
[ebuild N #] net-libs/nodejs-0.11.2 USE="-v8" PYTHON_ABIS=«2.7 -2.6» 13,247 kB

imul ★★★★★ ()
Ответ на: комментарий от FRCTLL

Сто раз так делал, ни разу не ломал полсистемы.

та же фигня

Mr_Gentoo ()
Ответ на: комментарий от FRCTLL

Из всех ебилдов node.js которые у меня были собрался только =net-libs/nodejs-0.8.23

На потыкать хватит, это мне и нужно.

Видимо для остальных питон python2.7 слишком старый, а python3.2 слишком новый.
Это вообще нормально что у питона такая совместимость между версиями?

TDrive ★★★★★ ()
Ответ на: комментарий от Mr_Gentoo

btw, я на Debian 6 недавно ноду компилил, а там питухон 2.6 вообще емнип

На питоне ебилд написан, компиляция самого нода тут не причем.

TDrive ★★★★★ ()
Ответ на: комментарий от TDrive

Ну между второй и третьей ветками там ощутимые изменения, да.

FRCTLL ()
Ответ на: комментарий от FRCTLL

В stable ветке поддерживается только latest stable в конкретном слоте. У автора судя по всему не обновлен python 2.7 до 2.7.5(который сейчас stable).

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Ответ на: комментарий от TDrive

На питоне ебилд написан, компиляция самого нода тут не причем.

ви таки правы, однако configure проверяет версию сабжа, а зачем — хз; поэтому я упомянул

Mr_Gentoo ()
emerge -a --depclean

«без мата» отрабатывает?

вообще странно - такая-же версия ноды установлена - все замечательно...

python-updater , на всякий пожарный потом...

Попробовать пересобрать с опцией --with-bdeps

SYNC=«rsync://rsync2.ru.gentoo.org/gentoo-portage» ты пользуешься этим зеркалом? Был прецедент надлома системы - подцепился какой-то мусор, после этого использовал только системное зеркало (без указания переменной SYNC).

Попробуй запусти:

emerge -pv system|system

swwwfactory ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.